Why can't I update my app on iOS8?

As of June 2017, we will be dropping support for iOS8 on newer versions of Carousell to allow for faster development time for new features, as well as to better adapt to new features of the latest iOS versions.

For users who are still on iOS8, you will have to update your iOS version to the latest available version. Thereafter, simply update your Carousell app on the App Store! If you would like to enjoy the best browsing experience possible, we would highly recommend that you download the latest iOS update on your device :)

If your device does not support the latest version of iOS, you are encouraged to log on to https://carousell.com to resume your buying and selling activities!

We sincerely apologise for any inconvenience caused. If you require any assistance, feel free to reach out to our Support Team at  support@thecarousell.com.